sip-date(1)

NAME
sip-date - Print or parse SIP date

Synopsis

sip-date [-n] [SIP-date | [YYYYy] [DDd] [HHh] [MMm] [SS[s]]]

Description

sip-date is an utility for printing a SIP date (in the format specified by RFC 1123, but the timezone must always be GMT) or parsing a given SIP date. The date can be given as a SIP date or by giving year, day, hour, minutes and seconds separately.

Options

The sip-date utility takes options as follows:

-n

    The sip-date utility prints the date as seconds elapsed since epoch (01 Jan 1900 00:00:00).

Examples

You want to convert current time to SIP date:

$ sip-date

 You want to find out how many seconds there was in 1900's:

$ siptime -n 2000y
3155673600

Reporting Bugs

Report bugs to sofia-sip-devel@lists.sourceforge.net.

Author

Pekka Pessi <Pekka -dot- Pessi -at- nokia -dot- com>

Copyright

Copyright (C) 2005 Nokia Corporation.

This program is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.